Subject: Re: one more... iproute commands lockup whole system

From: jamal <[email-masked]>
Date: Wed, 04 Apr 2007 09:58:22 -0400

On Wed, 2007-04-04 at 15:36 +0200, Patrick McHardy wrote:

> 
> We have a loop counter (RTTL) in tc_verd. For some reason it is reset
> after ing_filter though.
> 

Essentially it is valuable just to avoid a lot of stacking (separate
issue) and not to avoid the locking issue he is seeing.

> It would be interesting to find out what the problem is exactly.
> The configuration itself looks harmless, so I'm guessing its
> rather a deadlock than a loop.

We know it is a deadlock. 
If you redirect the first time queue lock for eth0 will be held, before
it is released if you do another redirect, it will again be heading
towards eth0 and it will deadlock on grabbing the queue lock.

cheers,
jamal